Index: include/avr/iomx8.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/iomx8.h,v
retrieving revision 1.13
diff -u -r1.13 iomx8.h
--- include/avr/iomx8.h	12 Dec 2007 14:00:49 -0000	1.13
+++ include/avr/iomx8.h	26 Mar 2009 20:10:34 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2004,2005, Theodore A. Roth
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -622,103 +623,128 @@
 /* Interrupt vectors */
 
 /* External Interrupt Request 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 #define SIG_INTERRUPT0			_VECTOR(1)
 
 /* External Interrupt Request 1 */
+#define INT1_num 			2
 #define INT1_vect			_VECTOR(2)
 #define SIG_INTERRUPT1			_VECTOR(2)
 
 /* Pin Change Interrupt Request 0 */
+#define PCINT0_num 			3
 #define PCINT0_vect			_VECTOR(3)
 #define SIG_PIN_CHANGE0			_VECTOR(3)
 
 /* Pin Change Interrupt Request 0 */
+#define PCINT1_num 			4
 #define PCINT1_vect			_VECTOR(4)
 #define SIG_PIN_CHANGE1			_VECTOR(4)
 
 /* Pin Change Interrupt Request 1 */
+#define PCINT2_num 			5
 #define PCINT2_vect			_VECTOR(5)
 #define SIG_PIN_CHANGE2			_VECTOR(5)
 
 /* Watchdog Time-out Interrupt */
+#define WDT_num 			6
 #define WDT_vect			_VECTOR(6)
 #define SIG_WATCHDOG_TIMEOUT		_VECTOR(6)
 
 /* Timer/Counter2 Compare Match A */
+#define TIMER2_COMPA_num 		7
 #define TIMER2_COMPA_vect		_VECTOR(7)
 #define SIG_OUTPUT_COMPARE2A		_VECTOR(7)
 
 /* Timer/Counter2 Compare Match A */
+#define TIMER2_COMPB_num 		8
 #define TIMER2_COMPB_vect		_VECTOR(8)
 #define SIG_OUTPUT_COMPARE2B		_VECTOR(8)
 
 /* Timer/Counter2 Overflow */
+#define TIMER2_OVF_num 			9
 #define TIMER2_OVF_vect			_VECTOR(9)
 #define SIG_OVERFLOW2			_VECTOR(9)
 
 /* Timer/Counter1 Capture Event */
+#define TIMER1_CAPT_num 		10
 #define TIMER1_CAPT_vect		_VECTOR(10)
 #define SIG_INPUT_CAPTURE1		_VECTOR(10)
 
 /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPA_num 		11
 #define TIMER1_COMPA_vect		_VECTOR(11)
 #define SIG_OUTPUT_COMPARE1A		_VECTOR(11)
 
 /* Timer/Counter1 Compare Match B */
+#define TIMER1_COMPB_num 		12
 #define TIMER1_COMPB_vect		_VECTOR(12)
 #define SIG_OUTPUT_COMPARE1B		_VECTOR(12)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF_num 			13
 #define TIMER1_OVF_vect			_VECTOR(13)
 #define SIG_OVERFLOW1			_VECTOR(13)
 
 /* TimerCounter0 Compare Match A */
+#define TIMER0_COMPA_num 		14
 #define TIMER0_COMPA_vect		_VECTOR(14)
 #define SIG_OUTPUT_COMPARE0A		_VECTOR(14)
 
 /* TimerCounter0 Compare Match B */
+#define TIMER0_COMPB_num 		15
 #define TIMER0_COMPB_vect		_VECTOR(15)
 #define SIG_OUTPUT_COMPARE0B		_VECTOR(15)
 
 /* Timer/Couner0 Overflow */
+#define TIMER0_OVF_num 			16
 #define TIMER0_OVF_vect			_VECTOR(16)
 #define SIG_OVERFLOW0			_VECTOR(16)
 
 /* SPI Serial Transfer Complete */
+#define SPI_STC_num 			17
 #define SPI_STC_vect			_VECTOR(17)
 #define SIG_SPI				_VECTOR(17)
 
 /* USART Rx Complete */
+#define USART_RX_num 			18
 #define USART_RX_vect			_VECTOR(18)
 #define SIG_USART_RECV			_VECTOR(18)
 
 /* USART, Data Register Empty */
+#define USART_UDRE_num 			19
 #define USART_UDRE_vect			_VECTOR(19)
 #define SIG_USART_DATA			_VECTOR(19)
 
 /* USART Tx Complete */
+#define USART_TX_num 			20
 #define USART_TX_vect			_VECTOR(20)
 #define SIG_USART_TRANS			_VECTOR(20)
 
 /* ADC Conversion Complete */
+#define ADC_num 			21
 #define ADC_vect			_VECTOR(21)
 #define SIG_ADC				_VECTOR(21)
 
 /* EEPROM Ready */
+#define EE_READY_num 			22
 #define EE_READY_vect			_VECTOR(22)
 #define SIG_EEPROM_READY		_VECTOR(22)
 
 /* Analog Comparator */
+#define ANALOG_COMP_num 		23
 #define ANALOG_COMP_vect		_VECTOR(23)
 #define SIG_COMPARATOR			_VECTOR(23)
 
 /* Two-wire Serial Interface */
+#define TWI_num 			24
 #define TWI_vect			_VECTOR(24)
 #define SIG_TWI				_VECTOR(24)
 #define SIG_2WIRE_SERIAL		_VECTOR(24)
 
 /* Store Program Memory Read */
+#define SPM_READY_num 			25
 #define SPM_READY_vect			_VECTOR(25)
 #define SIG_SPM_READY			_VECTOR(25)
 
@@ -732,4 +758,276 @@
 #  define _VECTORS_SIZE 52
 #endif
 
+/* Device Pin Definitions */
+#define DDR_ICP1  	DDRB
+#define PORT_ICP1 	PORTB
+#define PIN_ICP1  	PINB
+#define ICP1_IDX  	0
+
+#define DDR_CLKO  	DDRB
+#define PORT_CLKO 	PORTB
+#define PIN_CLKO  	PINB
+#define CLKO_IDX  	0
+
+#define DDR_PCINT0  	DDRB
+#define PORT_PCINT0 	PORTB
+#define PIN_PCINT0  	PINB
+#define PCINT0_IDX  	0
+
+#define DDR_OC1A  	DDRB
+#define PORT_OC1A 	PORTB
+#define PIN_OC1A  	PINB
+#define OC1A_IDX  	1
+
+#define DDR_PCINT1  	DDRB
+#define PORT_PCINT1 	PORTB
+#define PIN_PCINT1  	PINB
+#define PCINT1_IDX  	1
+
+#define DDR_SS  	DDRB
+#define PORT_SS 	PORTB
+#define PIN_SS  	PINB
+#define SS_IDX  	2
+
+#define DDR_OC1B  	DDRB
+#define PORT_OC1B 	PORTB
+#define PIN_OC1B  	PINB
+#define OC1B_IDX  	2
+
+#define DDR_PCINT2  	DDRB
+#define PORT_PCINT2 	PORTB
+#define PIN_PCINT2  	PINB
+#define PCINT2_IDX  	2
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	3
+
+#define DDR_OC2A  	DDRB
+#define PORT_OC2A 	PORTB
+#define PIN_OC2A  	PINB
+#define OC2A_IDX  	3
+
+#define DDR_PCINT3  	DDRB
+#define PORT_PCINT3 	PORTB
+#define PIN_PCINT3  	PINB
+#define PCINT3_IDX  	3
+
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	4
+
+#define DDR_PCINT4  	DDRB
+#define PORT_PCINT4 	PORTB
+#define PIN_PCINT4  	PINB
+#define PCINT4_IDX  	4
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	5
+
+#define DDR_PCINT5  	DDRB
+#define PORT_PCINT5 	PORTB
+#define PIN_PCINT5  	PINB
+#define PCINT5_IDX  	5
+
+#define DDR_TOSC1  	DDRB
+#define PORT_TOSC1 	PORTB
+#define PIN_TOSC1  	PINB
+#define TOSC1_IDX  	6
+
+#define DDR_PCINT6  	DDRB
+#define PORT_PCINT6 	PORTB
+#define PIN_PCINT6  	PINB
+#define PCINT6_IDX  	6
+
+#define DDR_TOSC2  	DDRB
+#define PORT_TOSC2 	PORTB
+#define PIN_TOSC2  	PINB
+#define TOSC2_IDX  	7
+
+#define DDR_PCINT7  	DDRB
+#define PORT_PCINT7 	PORTB
+#define PIN_PCINT7  	PINB
+#define PCINT7_IDX  	7
+
+#define DDR_ADC0  	DDRC
+#define PORT_ADC0 	PORTC
+#define PIN_ADC0  	PINC
+#define ADC0_IDX  	0
+
+#define DDR_PCINT8  	DDRC
+#define PORT_PCINT8 	PORTC
+#define PIN_PCINT8  	PINC
+#define PCINT8_IDX  	0
+
+#define DDR_ADC1  	DDRC
+#define PORT_ADC1 	PORTC
+#define PIN_ADC1  	PINC
+#define ADC1_IDX  	1
+
+#define DDR_PCINT9  	DDRC
+#define PORT_PCINT9 	PORTC
+#define PIN_PCINT9  	PINC
+#define PCINT9_IDX  	1
+
+#define DDR_ADC2  	DDRC
+#define PORT_ADC2 	PORTC
+#define PIN_ADC2  	PINC
+#define ADC2_IDX  	2
+
+#define DDR_PCINT10  	DDRC
+#define PORT_PCINT10 	PORTC
+#define PIN_PCINT10  	PINC
+#define PCINT10_IDX  	2
+
+#define DDR_ADC3  	DDRC
+#define PORT_ADC3 	PORTC
+#define PIN_ADC3  	PINC
+#define ADC3_IDX  	3
+
+#define DDR_PCINT11  	DDRC
+#define PORT_PCINT11 	PORTC
+#define PIN_PCINT11  	PINC
+#define PCINT11_IDX  	3
+
+#define DDR_ADC4  	DDRC
+#define PORT_ADC4 	PORTC
+#define PIN_ADC4  	PINC
+#define ADC4_IDX  	4
+
+#define DDR_SDA  	DDRC
+#define PORT_SDA 	PORTC
+#define PIN_SDA  	PINC
+#define SDA_IDX  	4
+
+#define DDR_PCINT12  	DDRC
+#define PORT_PCINT12 	PORTC
+#define PIN_PCINT12  	PINC
+#define PCINT12_IDX  	4
+
+#define DDR_ADC5  	DDRC
+#define PORT_ADC5 	PORTC
+#define PIN_ADC5  	PINC
+#define ADC5_IDX  	5
+
+#define DDR_SCL  	DDRC
+#define PORT_SCL 	PORTC
+#define PIN_SCL  	PINC
+#define SCL_IDX  	5
+
+#define DDR_PCINT13  	DDRC
+#define PORT_PCINT13 	PORTC
+#define PIN_PCINT13  	PINC
+#define PCINT13_IDX  	5
+
+#define DDR_PCINT14  	DDRC
+#define PORT_PCINT14 	PORTC
+#define PIN_PCINT14  	PINC
+#define PCINT14_IDX  	6
+
+#define DDR_RXD  	DDRD
+#define PORT_RXD 	PORTD
+#define PIN_RXD  	PIND
+#define RXD_IDX  	0
+
+#define DDR_PCINT16  	DDRD
+#define PORT_PCINT16 	PORTD
+#define PIN_PCINT16  	PIND
+#define PCINT16_IDX  	0
+
+#define DDR_TXD  	DDRD
+#define PORT_TXD 	PORTD
+#define PIN_TXD  	PIND
+#define TXD_IDX  	1
+
+#define DDR_PCINT17  	DDRD
+#define PORT_PCINT17 	PORTD
+#define PIN_PCINT17  	PIND
+#define PCINT17_IDX  	1
+
+#define DDR_INT0  	DDRD
+#define PORT_INT0 	PORTD
+#define PIN_INT0  	PIND
+#define INT0_IDX  	2
+
+#define DDR_PCINT18  	DDRD
+#define PORT_PCINT18 	PORTD
+#define PIN_PCINT18  	PIND
+#define PCINT18_IDX  	2
+
+#define DDR_PCINT19  	DDRD
+#define PORT_PCINT19 	PORTD
+#define PIN_PCINT19  	PIND
+#define PCINT19_IDX  	3
+
+#define DDR_OC2B  	DDRD
+#define PORT_OC2B 	PORTD
+#define PIN_OC2B  	PIND
+#define OC2B_IDX  	3
+
+#define DDR_INT1  	DDRD
+#define PORT_INT1 	PORTD
+#define PIN_INT1  	PIND
+#define INT1_IDX  	3
+
+#define DDR_XCK  	DDRD
+#define PORT_XCK 	PORTD
+#define PIN_XCK  	PIND
+#define XCK_IDX  	4
+
+#define DDR_T0  	DDRD
+#define PORT_T0 	PORTD
+#define PIN_T0  	PIND
+#define T0_IDX  	4
+
+#define DDR_PCINT20  	DDRD
+#define PORT_PCINT20 	PORTD
+#define PIN_PCINT20  	PIND
+#define PCINT20_IDX  	4
+
+#define DDR_T1  	DDRD
+#define PORT_T1 	PORTD
+#define PIN_T1  	PIND
+#define T1_IDX  	5
+
+#define DDR_OC0B  	DDRD
+#define PORT_OC0B 	PORTD
+#define PIN_OC0B  	PIND
+#define OC0B_IDX  	5
+
+#define DDR_PCINT21  	DDRD
+#define PORT_PCINT21 	PORTD
+#define PIN_PCINT21  	PIND
+#define PCINT21_IDX  	5
+
+#define DDR_AIN0  	DDRD
+#define PORT_AIN0 	PORTD
+#define PIN_AIN0  	PIND
+#define AIN0_IDX  	6
+
+#define DDR_OC0A  	DDRD
+#define PORT_OC0A 	PORTD
+#define PIN_OC0A  	PIND
+#define OC0A_IDX  	6
+
+#define DDR_PCINT22  	DDRD
+#define PORT_PCINT22 	PORTD
+#define PIN_PCINT22  	PIND
+#define PCINT22_IDX  	6
+
+#define DDR_AIN1  	DDRD
+#define PORT_AIN1 	PORTD
+#define PIN_AIN1  	PIND
+#define AIN1_IDX  	7
+
+#define DDR_PCINT23  	DDRD
+#define PORT_PCINT23 	PORTD
+#define PIN_PCINT23  	PIND
+#define PCINT23_IDX  	7
+
+
 #endif /* _AVR_IOM8_H_ */
Index: include/avr/iom325.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/iom325.h,v
retrieving revision 1.18
diff -u -r1.18 iom325.h
--- include/avr/iom325.h	11 Feb 2009 17:53:36 -0000	1.18
+++ include/avr/iom325.h	26 Mar 2009 20:10:29 -0000
@@ -1,4 +1,5 @@
 /* Copyright (c) 2004, 2005, 2006, 2007 Eric B. Weddington
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -676,86 +677,107 @@
 /* Interrupt vectors */
 /* Vector 0 is the reset vector */
 /* External Interrupt Request 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 #define SIG_INTERRUPT0			_VECTOR(1)
 
 /* Pin Change Interrupt Request 0 */
+#define PCINT0_num 			2
 #define PCINT0_vect			_VECTOR(2)
 #define SIG_PIN_CHANGE0			_VECTOR(2)
 
 /* Pin Change Interrupt Request 1 */
+#define PCINT1_num 			3
 #define PCINT1_vect			_VECTOR(3)
 #define SIG_PIN_CHANGE1			_VECTOR(3)
 
 /* Timer/Counter2 Compare Match */
+#define TIMER2_COMP_num 		4
 #define TIMER2_COMP_vect		_VECTOR(4)
 #define SIG_OUTPUT_COMPARE2		_VECTOR(4)
 
 /* Timer/Counter2 Overflow */
+#define TIMER2_OVF_num 			5
 #define TIMER2_OVF_vect			_VECTOR(5)
 #define SIG_OVERFLOW2			_VECTOR(5)
 
 /* Timer/Counter1 Capture Event */
+#define TIMER1_CAPT_num 		6
 #define TIMER1_CAPT_vect		_VECTOR(6)
 #define SIG_INPUT_CAPTURE1		_VECTOR(6)
 
 /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPA_num 		7
 #define TIMER1_COMPA_vect		_VECTOR(7)
 #define SIG_OUTPUT_COMPARE1A		_VECTOR(7)
 
 /* Timer/Counter Compare Match B */
+#define TIMER1_COMPB_num 		8
 #define TIMER1_COMPB_vect		_VECTOR(8)
 #define SIG_OUTPUT_COMPARE1B		_VECTOR(8)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF_num 			9
 #define TIMER1_OVF_vect			_VECTOR(9)
 #define SIG_OVERFLOW1			_VECTOR(9)
 
 /* Timer/Counter0 Compare Match */
+#define TIMER0_COMP_num 		10
 #define TIMER0_COMP_vect		_VECTOR(10)
 #define SIG_OUTPUT_COMPARE0		_VECTOR(10)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF_num 			11
 #define TIMER0_OVF_vect			_VECTOR(11)
 #define SIG_OVERFLOW0			_VECTOR(11)
 
 /* SPI Serial Transfer Complete */
+#define SPI_STC_num 			12
 #define SPI_STC_vect			_VECTOR(12)
 #define SIG_SPI				_VECTOR(12)
 
 /* USART0, Rx Complete */
+#define USART0_RX_num 			13
 #define USART0_RX_vect			_VECTOR(13)
 #define SIG_UART_RECV			_VECTOR(13)
 
 /* USART0 Data register Empty */
+#define USART0_UDRE_num 		14
 #define USART0_UDRE_vect		_VECTOR(14)
 #define SIG_UART_DATA			_VECTOR(14)
 
 /* USART0, Tx Complete */
+#define USART0_TX_num 			15
 #define USART0_TX_vect			_VECTOR(15)
 #define SIG_UART_TRANS			_VECTOR(15)
 
 /* USI Start Condition */
+#define USI_START_num 			16
 #define USI_START_vect			_VECTOR(16)
 #define SIG_USI_START			_VECTOR(16)
 
 /* USI Overflow */
+#define USI_OVERFLOW_num 		17
 #define USI_OVERFLOW_vect		_VECTOR(17)
 #define SIG_USI_OVERFLOW		_VECTOR(17)
 
 /* Analog Comparator */
+#define ANALOG_COMP_num 		18
 #define ANALOG_COMP_vect		_VECTOR(18)
 #define SIG_COMPARATOR			_VECTOR(18)
 
 /* ADC Conversion Complete */
+#define ADC_num 			19
 #define ADC_vect			_VECTOR(19)
 #define SIG_ADC				_VECTOR(19)
 
 /* EEPROM Ready */
+#define EE_READY_num 			20
 #define EE_READY_vect			_VECTOR(20)
 #define SIG_EEPROM_READY		_VECTOR(20)
 
 /* Store Program Memory Read */
+#define SPM_READY_num 			21
 #define SPM_READY_vect			_VECTOR(21)
 #define SIG_SPM_READY			_VECTOR(21)
 
@@ -818,4 +840,241 @@
 #define SIGNATURE_2 0x05
 
 
+/* Device Pin Definitions */
+#define DDR_SS  	DDRB
+#define PORT_SS 	PORTB
+#define PIN_SS  	PINB
+#define SS_IDX  	0
+
+#define DDR_PCINT8  	DDRB
+#define PORT_PCINT8 	PORTB
+#define PIN_PCINT8  	PINB
+#define PCINT8_IDX  	0
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	1
+
+#define DDR_PCINT9  	DDRB
+#define PORT_PCINT9 	PORTB
+#define PIN_PCINT9  	PINB
+#define PCINT9_IDX  	1
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	2
+
+#define DDR_PCINT10  	DDRB
+#define PORT_PCINT10 	PORTB
+#define PIN_PCINT10  	PINB
+#define PCINT10_IDX  	2
+
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	3
+
+#define DDR_PCINT11  	DDRB
+#define PORT_PCINT11 	PORTB
+#define PIN_PCINT11  	PINB
+#define PCINT11_IDX  	3
+
+#define DDR_OC0A  	DDRB
+#define PORT_OC0A 	PORTB
+#define PIN_OC0A  	PINB
+#define OC0A_IDX  	4
+
+#define DDR_PCINT12  	DDRB
+#define PORT_PCINT12 	PORTB
+#define PIN_PCINT12  	PINB
+#define PCINT12_IDX  	4
+
+#define DDR_OC1A  	DDRB
+#define PORT_OC1A 	PORTB
+#define PIN_OC1A  	PINB
+#define OC1A_IDX  	5
+
+#define DDR_PCINT13  	DDRB
+#define PORT_PCINT13 	PORTB
+#define PIN_PCINT13  	PINB
+#define PCINT13_IDX  	5
+
+#define DDR_OC1B  	DDRB
+#define PORT_OC1B 	PORTB
+#define PIN_OC1B  	PINB
+#define OC1B_IDX  	6
+
+#define DDR_PCINT14  	DDRB
+#define PORT_PCINT14 	PORTB
+#define PIN_PCINT14  	PINB
+#define PCINT14_IDX  	6
+
+#define DDR_OC2A  	DDRB
+#define PORT_OC2A 	PORTB
+#define PIN_OC2A  	PINB
+#define OC2A_IDX  	7
+
+#define DDR_PCINT15  	DDRB
+#define PORT_PCINT15 	PORTB
+#define PIN_PCINT15  	PINB
+#define PCINT15_IDX  	7
+
+#define DDR_ICP1  	DDRD
+#define PORT_ICP1 	PORTD
+#define PIN_ICP1  	PIND
+#define ICP1_IDX  	0
+
+#define DDR_INT0  	DDRD
+#define PORT_INT0 	PORTD
+#define PIN_INT0  	PIND
+#define INT0_IDX  	1
+
+#define DDR_RXD  	DDRE
+#define PORT_RXD 	PORTE
+#define PIN_RXD  	PINE
+#define RXD_IDX  	0
+
+#define DDR_PCINT0  	DDRE
+#define PORT_PCINT0 	PORTE
+#define PIN_PCINT0  	PINE
+#define PCINT0_IDX  	0
+
+#define DDR_TXD  	DDRE
+#define PORT_TXD 	PORTE
+#define PIN_TXD  	PINE
+#define TXD_IDX  	1
+
+#define DDR_PCINT1  	DDRE
+#define PORT_PCINT1 	PORTE
+#define PIN_PCINT1  	PINE
+#define PCINT1_IDX  	1
+
+#define DDR_XCK  	DDRE
+#define PORT_XCK 	PORTE
+#define PIN_XCK  	PINE
+#define XCK_IDX  	2
+
+#define DDR_AIN0  	DDRE
+#define PORT_AIN0 	PORTE
+#define PIN_AIN0  	PINE
+#define AIN0_IDX  	2
+
+#define DDR_PCINT2  	DDRE
+#define PORT_PCINT2 	PORTE
+#define PIN_PCINT2  	PINE
+#define PCINT2_IDX  	2
+
+#define DDR_AIN1  	DDRE
+#define PORT_AIN1 	PORTE
+#define PIN_AIN1  	PINE
+#define AIN1_IDX  	3
+
+#define DDR_PCINT3  	DDRE
+#define PORT_PCINT3 	PORTE
+#define PIN_PCINT3  	PINE
+#define PCINT3_IDX  	3
+
+#define DDR_USCK  	DDRE
+#define PORT_USCK 	PORTE
+#define PIN_USCK  	PINE
+#define USCK_IDX  	4
+
+#define DDR_SCL  	DDRE
+#define PORT_SCL 	PORTE
+#define PIN_SCL  	PINE
+#define SCL_IDX  	4
+
+#define DDR_PCINT4  	DDRE
+#define PORT_PCINT4 	PORTE
+#define PIN_PCINT4  	PINE
+#define PCINT4_IDX  	4
+
+#define DDR_DI  	DDRE
+#define PORT_DI 	PORTE
+#define PIN_DI  	PINE
+#define DI_IDX  	5
+
+#define DDR_SDA  	DDRE
+#define PORT_SDA 	PORTE
+#define PIN_SDA  	PINE
+#define SDA_IDX  	5
+
+#define DDR_PCINT5  	DDRE
+#define PORT_PCINT5 	PORTE
+#define PIN_PCINT5  	PINE
+#define PCINT5_IDX  	5
+
+#define DDR_DO  	DDRE
+#define PORT_DO 	PORTE
+#define PIN_DO  	PINE
+#define DO_IDX  	6
+
+#define DDR_PCINT6  	DDRE
+#define PORT_PCINT6 	PORTE
+#define PIN_PCINT6  	PINE
+#define PCINT6_IDX  	6
+
+#define DDR_CLKO  	DDRE
+#define PORT_CLKO 	PORTE
+#define PIN_CLKO  	PINE
+#define CLKO_IDX  	7
+
+#define DDR_PCINT7  	DDRE
+#define PORT_PCINT7 	PORTE
+#define PIN_PCINT7  	PINE
+#define PCINT7_IDX  	7
+
+#define DDR_ADC0  	DDRF
+#define PORT_ADC0 	PORTF
+#define PIN_ADC0  	PINF
+#define ADC0_IDX  	0
+
+#define DDR_ADC1  	DDRF
+#define PORT_ADC1 	PORTF
+#define PIN_ADC1  	PINF
+#define ADC1_IDX  	1
+
+#define DDR_ADC2  	DDRF
+#define PORT_ADC2 	PORTF
+#define PIN_ADC2  	PINF
+#define ADC2_IDX  	2
+
+#define DDR_ADC3  	DDRF
+#define PORT_ADC3 	PORTF
+#define PIN_ADC3  	PINF
+#define ADC3_IDX  	3
+
+#define DDR_ADC4  	DDRF
+#define PORT_ADC4 	PORTF
+#define PIN_ADC4  	PINF
+#define ADC4_IDX  	4
+
+#define DDR_ADC5  	DDRF
+#define PORT_ADC5 	PORTF
+#define PIN_ADC5  	PINF
+#define ADC5_IDX  	5
+
+#define DDR_ADC6  	DDRF
+#define PORT_ADC6 	PORTF
+#define PIN_ADC6  	PINF
+#define ADC6_IDX  	6
+
+#define DDR_ADC7  	DDRF
+#define PORT_ADC7 	PORTF
+#define PIN_ADC7  	PINF
+#define ADC7_IDX  	7
+
+#define DDR_T1  	DDRG
+#define PORT_T1 	PORTG
+#define PIN_T1  	PING
+#define T1_IDX  	3
+
+#define DDR_T0  	DDRG
+#define PORT_T0 	PORTG
+#define PIN_T0  	PING
+#define T0_IDX  	4
+
+
 #endif /* _AVR_IOM325_H_ */
Index: include/avr/iom169.h
===================================================================
RCS file: /sources/avr-libc/avr-libc/include/avr/iom169.h,v
retrieving revision 1.32
diff -u -r1.32 iom169.h
--- include/avr/iom169.h	11 Feb 2009 17:53:36 -0000	1.32
+++ include/avr/iom169.h	26 Mar 2009 20:10:28 -0000
@@ -1,6 +1,7 @@
 /* Copyright (c) 2002, 2003, 2004, 2005 
    Juergen Schilling <juergen.schilling@honeywell.com>
    Eric B. Weddington
+   Copyright (c) 2009, Frédéric Nadeau
    All rights reserved.
 
    Redistribution and use in source and binary forms, with or without
@@ -328,90 +329,112 @@
 /* Interrupt vectors */
 
 /* External Interrupt Request 0 */
+#define INT0_num 			1
 #define INT0_vect			_VECTOR(1)
 #define SIG_INTERRUPT0			_VECTOR(1)
 
 /* Pin Change Interrupt Request 0 */
+#define PCINT0_num 			2
 #define PCINT0_vect			_VECTOR(2)
 #define SIG_PIN_CHANGE0			_VECTOR(2)
 
 /* Pin Change Interrupt Request 1 */
+#define PCINT1_num 			3
 #define PCINT1_vect			_VECTOR(3)
 #define SIG_PIN_CHANGE1			_VECTOR(3)
 
 /* Timer/Counter2 Compare Match */
+#define TIMER2_COMP_num 		4
 #define TIMER2_COMP_vect		_VECTOR(4)
 #define SIG_OUTPUT_COMPARE2		_VECTOR(4)
 
 /* Timer/Counter2 Overflow */
+#define TIMER2_OVF_num 			5
 #define TIMER2_OVF_vect			_VECTOR(5)
 #define SIG_OVERFLOW2			_VECTOR(5)
 
 /* Timer/Counter1 Capture Event */
+#define TIMER1_CAPT_num 		6
 #define TIMER1_CAPT_vect		_VECTOR(6)
 #define SIG_INPUT_CAPTURE1		_VECTOR(6)
 
 /* Timer/Counter1 Compare Match A */
+#define TIMER1_COMPA_num 		7
 #define TIMER1_COMPA_vect		_VECTOR(7)
 #define SIG_OUTPUT_COMPARE1A		_VECTOR(7)
 
 /* Timer/Counter Compare Match B */
+#define TIMER1_COMPB_num 		8
 #define TIMER1_COMPB_vect		_VECTOR(8)
 #define SIG_OUTPUT_COMPARE1B		_VECTOR(8)
 
 /* Timer/Counter1 Overflow */
+#define TIMER1_OVF_num 			9
 #define TIMER1_OVF_vect			_VECTOR(9)
 #define SIG_OVERFLOW1			_VECTOR(9)
 
 /* Timer/Counter0 Compare Match */
+#define TIMER0_COMP_num 		10
 #define TIMER0_COMP_vect		_VECTOR(10)
 #define SIG_OUTPUT_COMPARE0		_VECTOR(10)
 
 /* Timer/Counter0 Overflow */
+#define TIMER0_OVF_num 			11
 #define TIMER0_OVF_vect			_VECTOR(11)
 #define SIG_OVERFLOW0			_VECTOR(11)
 
 /* SPI Serial Transfer Complete */
+#define SPI_STC_num 			12
 #define SPI_STC_vect			_VECTOR(12)
 #define SIG_SPI				_VECTOR(12)
 
 /* USART0, Rx Complete */
+#define USART0_RX_num 			13
 #define USART0_RX_vect			_VECTOR(13)
 #define SIG_USART_RECV			_VECTOR(13)
 
 /* USART0 Data register Empty */
+#define USART0_UDRE_num 		14
 #define USART0_UDRE_vect		_VECTOR(14)
 #define SIG_USART_DATA			_VECTOR(14)
 
 /* USART0, Tx Complete */
+#define USART0_TX_num 			15
 #define USART0_TX_vect			_VECTOR(15)
 #define SIG_USART_TRANS			_VECTOR(15)
 
 /* USI Start Condition */
+#define USI_START_num 			16
 #define USI_START_vect			_VECTOR(16)
 #define SIG_USI_START			_VECTOR(16)
 
 /* USI Overflow */
+#define USI_OVERFLOW_num 		17
 #define USI_OVERFLOW_vect		_VECTOR(17)
 #define SIG_USI_OVERFLOW		_VECTOR(17)
 
 /* Analog Comparator */
+#define ANALOG_COMP_num 		18
 #define ANALOG_COMP_vect		_VECTOR(18)
 #define SIG_COMPARATOR			_VECTOR(18)
 
 /* ADC Conversion Complete */
+#define ADC_num 			19
 #define ADC_vect			_VECTOR(19)
 #define SIG_ADC				_VECTOR(19)
 
 /* EEPROM Ready */
+#define EE_READY_num 			20
 #define EE_READY_vect			_VECTOR(20)
 #define SIG_EEPROM_READY		_VECTOR(20)
 
 /* Store Program Memory Read */
+#define SPM_READY_num 			21
 #define SPM_READY_vect			_VECTOR(21)
 #define SIG_SPM_READY			_VECTOR(21)
 
 /* LCD Start of Frame */
+#define LCD_num 			22
 #define LCD_vect			_VECTOR(22)
 #define SIG_LCD				_VECTOR(22)
 
@@ -1104,4 +1127,371 @@
 #define SIGNATURE_2 0x05
 
 
+/* Device Pin Definitions */
+#define DDR_COM0  	DDRA
+#define PORT_COM0 	PORTA
+#define PIN_COM0  	PINA
+#define COM0_IDX  	0
+
+#define DDR_COM1  	DDRA
+#define PORT_COM1 	PORTA
+#define PIN_COM1  	PINA
+#define COM1_IDX  	1
+
+#define DDR_COM2  	DDRA
+#define PORT_COM2 	PORTA
+#define PIN_COM2  	PINA
+#define COM2_IDX  	2
+
+#define DDR_COM3  	DDRA
+#define PORT_COM3 	PORTA
+#define PIN_COM3  	PINA
+#define COM3_IDX  	3
+
+#define DDR_SEG0  	DDRA
+#define PORT_SEG0 	PORTA
+#define PIN_SEG0  	PINA
+#define SEG0_IDX  	4
+
+#define DDR_SEG1  	DDRA
+#define PORT_SEG1 	PORTA
+#define PIN_SEG1  	PINA
+#define SEG1_IDX  	5
+
+#define DDR_SEG2  	DDRA
+#define PORT_SEG2 	PORTA
+#define PIN_SEG2  	PINA
+#define SEG2_IDX  	6
+
+#define DDR_SEG3  	DDRA
+#define PORT_SEG3 	PORTA
+#define PIN_SEG3  	PINA
+#define SEG3_IDX  	7
+
+#define DDR_SS  	DDRB
+#define PORT_SS 	PORTB
+#define PIN_SS  	PINB
+#define SS_IDX  	0
+
+#define DDR_PCINT8  	DDRB
+#define PORT_PCINT8 	PORTB
+#define PIN_PCINT8  	PINB
+#define PCINT8_IDX  	0
+
+#define DDR_SCK  	DDRB
+#define PORT_SCK 	PORTB
+#define PIN_SCK  	PINB
+#define SCK_IDX  	1
+
+#define DDR_PCINT9  	DDRB
+#define PORT_PCINT9 	PORTB
+#define PIN_PCINT9  	PINB
+#define PCINT9_IDX  	1
+
+#define DDR_MOSI  	DDRB
+#define PORT_MOSI 	PORTB
+#define PIN_MOSI  	PINB
+#define MOSI_IDX  	2
+
+#define DDR_PCINT10  	DDRB
+#define PORT_PCINT10 	PORTB
+#define PIN_PCINT10  	PINB
+#define PCINT10_IDX  	2
+
+#define DDR_MISO  	DDRB
+#define PORT_MISO 	PORTB
+#define PIN_MISO  	PINB
+#define MISO_IDX  	3
+
+#define DDR_PCINT11  	DDRB
+#define PORT_PCINT11 	PORTB
+#define PIN_PCINT11  	PINB
+#define PCINT11_IDX  	3
+
+#define DDR_OC0  	DDRB
+#define PORT_OC0 	PORTB
+#define PIN_OC0  	PINB
+#define OC0_IDX  	4
+
+#define DDR_PCINT12  	DDRB
+#define PORT_PCINT12 	PORTB
+#define PIN_PCINT12  	PINB
+#define PCINT12_IDX  	4
+
+#define DDR_OC1A  	DDRB
+#define PORT_OC1A 	PORTB
+#define PIN_OC1A  	PINB
+#define OC1A_IDX  	5
+
+#define DDR_PCINT13  	DDRB
+#define PORT_PCINT13 	PORTB
+#define PIN_PCINT13  	PINB
+#define PCINT13_IDX  	5
+
+#define DDR_OC1B  	DDRB
+#define PORT_OC1B 	PORTB
+#define PIN_OC1B  	PINB
+#define OC1B_IDX  	6
+
+#define DDR_PCINT14  	DDRB
+#define PORT_PCINT14 	PORTB
+#define PIN_PCINT14  	PINB
+#define PCINT14_IDX  	6
+
+#define DDR_OC2  	DDRB
+#define PORT_OC2 	PORTB
+#define PIN_OC2  	PINB
+#define OC2_IDX  	7
+
+#define DDR_PCINT15  	DDRB
+#define PORT_PCINT15 	PORTB
+#define PIN_PCINT15  	PINB
+#define PCINT15_IDX  	7
+
+#define DDR_SEG12  	DDRC
+#define PORT_SEG12 	PORTC
+#define PIN_SEG12  	PINC
+#define SEG12_IDX  	0
+
+#define DDR_SEG11  	DDRC
+#define PORT_SEG11 	PORTC
+#define PIN_SEG11  	PINC
+#define SEG11_IDX  	1
+
+#define DDR_SEG10  	DDRC
+#define PORT_SEG10 	PORTC
+#define PIN_SEG10  	PINC
+#define SEG10_IDX  	2
+
+#define DDR_SEG9  	DDRC
+#define PORT_SEG9 	PORTC
+#define PIN_SEG9  	PINC
+#define SEG9_IDX  	3
+
+#define DDR_SEG8  	DDRC
+#define PORT_SEG8 	PORTC
+#define PIN_SEG8  	PINC
+#define SEG8_IDX  	4
+
+#define DDR_SEG7  	DDRC
+#define PORT_SEG7 	PORTC
+#define PIN_SEG7  	PINC
+#define SEG7_IDX  	5
+
+#define DDR_SEG6  	DDRC
+#define PORT_SEG6 	PORTC
+#define PIN_SEG6  	PINC
+#define SEG6_IDX  	6
+
+#define DDR_SEG5  	DDRC
+#define PORT_SEG5 	PORTC
+#define PIN_SEG5  	PINC
+#define SEG5_IDX  	7
+
+#define DDR_ICP/SEG22  	DDRD
+#define PORT_ICP/SEG22 	PORTD
+#define PIN_ICP/SEG22  	PIND
+#define ICP/SEG22_IDX  	0
+
+#define DDR_INT0/SEG21  	DDRD
+#define PORT_INT0/SEG21 	PORTD
+#define PIN_INT0/SEG21  	PIND
+#define INT0/SEG21_IDX  	1
+
+#define DDR_SEG20  	DDRD
+#define PORT_SEG20 	PORTD
+#define PIN_SEG20  	PIND
+#define SEG20_IDX  	2
+
+#define DDR_SEG19  	DDRD
+#define PORT_SEG19 	PORTD
+#define PIN_SEG19  	PIND
+#define SEG19_IDX  	3
+
+#define DDR_SEG18  	DDRD
+#define PORT_SEG18 	PORTD
+#define PIN_SEG18  	PIND
+#define SEG18_IDX  	4
+
+#define DDR_SEG17  	DDRD
+#define PORT_SEG17 	PORTD
+#define PIN_SEG17  	PIND
+#define SEG17_IDX  	5
+
+#define DDR_SEG16  	DDRD
+#define PORT_SEG16 	PORTD
+#define PIN_SEG16  	PIND
+#define SEG16_IDX  	6
+
+#define DDR_SEG15  	DDRD
+#define PORT_SEG15 	PORTD
+#define PIN_SEG15  	PIND
+#define SEG15_IDX  	7
+
+#define DDR_RXD  	DDRE
+#define PORT_RXD 	PORTE
+#define PIN_RXD  	PINE
+#define RXD_IDX  	0
+
+#define DDR_PCINT0  	DDRE
+#define PORT_PCINT0 	PORTE
+#define PIN_PCINT0  	PINE
+#define PCINT0_IDX  	0
+
+#define DDR_TXD  	DDRE
+#define PORT_TXD 	PORTE
+#define PIN_TXD  	PINE
+#define TXD_IDX  	1
+
+#define DDR_PCINT1  	DDRE
+#define PORT_PCINT1 	PORTE
+#define PIN_PCINT1  	PINE
+#define PCINT1_IDX  	1
+
+#define DDR_XCK  	DDRE
+#define PORT_XCK 	PORTE
+#define PIN_XCK  	PINE
+#define XCK_IDX  	2
+
+#define DDR_AIN0  	DDRE
+#define PORT_AIN0 	PORTE
+#define PIN_AIN0  	PINE
+#define AIN0_IDX  	2
+
+#define DDR_PCINT2  	DDRE
+#define PORT_PCINT2 	PORTE
+#define PIN_PCINT2  	PINE
+#define PCINT2_IDX  	2
+
+#define DDR_AIN1  	DDRE
+#define PORT_AIN1 	PORTE
+#define PIN_AIN1  	PINE
+#define AIN1_IDX  	3
+
+#define DDR_PCINT3  	DDRE
+#define PORT_PCINT3 	PORTE
+#define PIN_PCINT3  	PINE
+#define PCINT3_IDX  	3
+
+#define DDR_USCK  	DDRE
+#define PORT_USCK 	PORTE
+#define PIN_USCK  	PINE
+#define USCK_IDX  	4
+
+#define DDR_SCL  	DDRE
+#define PORT_SCL 	PORTE
+#define PIN_SCL  	PINE
+#define SCL_IDX  	4
+
+#define DDR_PCINT4  	DDRE
+#define PORT_PCINT4 	PORTE
+#define PIN_PCINT4  	PINE
+#define PCINT4_IDX  	4
+
+#define DDR_DI  	DDRE
+#define PORT_DI 	PORTE
+#define PIN_DI  	PINE
+#define DI_IDX  	5
+
+#define DDR_SDA  	DDRE
+#define PORT_SDA 	PORTE
+#define PIN_SDA  	PINE
+#define SDA_IDX  	5
+
+#define DDR_PCINT5  	DDRE
+#define PORT_PCINT5 	PORTE
+#define PIN_PCINT5  	PINE
+#define PCINT5_IDX  	5
+
+#define DDR_DO  	DDRE
+#define PORT_DO 	PORTE
+#define PIN_DO  	PINE
+#define DO_IDX  	6
+
+#define DDR_PCINT6  	DDRE
+#define PORT_PCINT6 	PORTE
+#define PIN_PCINT6  	PINE
+#define PCINT6_IDX  	6
+
+#define DDR_PCINT7  	DDRE
+#define PORT_PCINT7 	PORTE
+#define PIN_PCINT7  	PINE
+#define PCINT7_IDX  	7
+
+#define DDR_ADC0  	DDRF
+#define PORT_ADC0 	PORTF
+#define PIN_ADC0  	PINF
+#define ADC0_IDX  	0
+
+#define DDR_ADC1  	DDRF
+#define PORT_ADC1 	PORTF
+#define PIN_ADC1  	PINF
+#define ADC1_IDX  	1
+
+#define DDR_ADC2  	DDRF
+#define PORT_ADC2 	PORTF
+#define PIN_ADC2  	PINF
+#define ADC2_IDX  	2
+
+#define DDR_ADC3  	DDRF
+#define PORT_ADC3 	PORTF
+#define PIN_ADC3  	PINF
+#define ADC3_IDX  	3
+
+#define DDR_ADC4  	DDRF
+#define PORT_ADC4 	PORTF
+#define PIN_ADC4  	PINF
+#define ADC4_IDX  	4
+
+#define DDR_ADC5  	DDRF
+#define PORT_ADC5 	PORTF
+#define PIN_ADC5  	PINF
+#define ADC5_IDX  	5
+
+#define DDR_ADC6  	DDRF
+#define PORT_ADC6 	PORTF
+#define PIN_ADC6  	PINF
+#define ADC6_IDX  	6
+
+#define DDR_ADC7  	DDRF
+#define PORT_ADC7 	PORTF
+#define PIN_ADC7  	PINF
+#define ADC7_IDX  	7
+
+#define DDR_SEG14  	DDRG
+#define PORT_SEG14 	PORTG
+#define PIN_SEG14  	PING
+#define SEG14_IDX  	0
+
+#define DDR_SEG13  	DDRG
+#define PORT_SEG13 	PORTG
+#define PIN_SEG13  	PING
+#define SEG13_IDX  	1
+
+#define DDR_SEG4  	DDRG
+#define PORT_SEG4 	PORTG
+#define PIN_SEG4  	PING
+#define SEG4_IDX  	2
+
+#define DDR_T1  	DDRG
+#define PORT_T1 	PORTG
+#define PIN_T1  	PING
+#define T1_IDX  	3
+
+#define DDR_SEG24  	DDRG
+#define PORT_SEG24 	PORTG
+#define PIN_SEG24  	PING
+#define SEG24_IDX  	3
+
+#define DDR_T0  	DDRG
+#define PORT_T0 	PORTG
+#define PIN_T0  	PING
+#define T0_IDX  	4
+
+#define DDR_SEG23  	DDRG
+#define PORT_SEG23 	PORTG
+#define PIN_SEG23  	PING
+#define SEG23_IDX  	4
+
+
 #endif  /* _AVR_IOM169_H_ */
